Bug 522951 - X does not start on i810
Summary: X does not start on i810
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 16:00 UTC by Ondrej Zary
Modified: 2018-04-11 12:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-07 22:10:46 UTC


Attachments (Terms of Use)
X log (14.60 KB, text/plain)
2009-09-12 16:00 UTC, Ondrej Zary
no flags Details
dmesg (19.41 KB, text/plain)
2009-09-12 16:12 UTC, Ondrej Zary
no flags Details
lspci -vv (4.48 KB, text/plain)
2009-09-12 16:13 UTC, Ondrej Zary
no flags Details

Description Ondrej Zary 2009-09-12 16:00:40 UTC
Created attachment 360791 [details]
X log

Description of problem:
X does not start on i810 (GA-6WMMC7 board) with the following messages:
(WW) xf86AcquireGART: AGPIOC_ACQUIRE failed (Device or resource busy)
(EE) GARTInit: AGPIOC_INFO failed (Invalid argument)
(EE) intel(0): AGP GART support is not available.  Make sure your kernel has
        agpgart support or that the agpgart kernel module is loaded.

Version-Release number of selected component (if applicable):
from Fedora Test Day 20090908 Live CD

How reproducible:
Always 

Steps to Reproduce:
1. Boot the Live CD
  
Actual results:
Blank screen, X server repeatedly restarts.

Expected results:
Working X.

Additional info:
http://www.smolts.org/client/show/pub_7a7d9bb7-5b24-4991-8085-d6b4db6c9e7e

Comment 1 Ondrej Zary 2009-09-12 16:12:21 UTC
Created attachment 360792 [details]
dmesg

Might be kernel bug as agpgart is not loaded.

Comment 2 Ondrej Zary 2009-09-12 16:13:15 UTC
Created attachment 360793 [details]
lspci -vv

Comment 3 Adam Williamson 2009-09-18 04:19:12 UTC
is that dmesg from after or before X tries to start up?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Ondrej Zary 2009-09-19 16:14:03 UTC
desktop-i386-20090917.16.iso fixes this bug. The X server now starts and the wallpaper appears (there's not enough memory to continue to the desktop).

Comment 5 Adam Williamson 2009-09-21 15:47:57 UTC
again, could you check with the lxde nightly build just to confirm? want to make sure we don't close prematurely. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Matěj Cepl 2009-11-05 17:16:20 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 8 Ondrej Zary 2009-11-07 21:24:30 UTC
desktop-i386-20091106.16.iso booted to the desktop (took maybe half an hour) so it's fixed.

Comment 9 Chris Campbell 2009-11-07 22:10:46 UTC
Thank you very much for letting us know this has been resolved.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Adam Williamson 2009-11-07 23:20:37 UTC
does it work ok once booted? half an hour sounds like a hell of a long time.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 11 Ondrej Zary 2009-11-08 21:55:44 UTC
It has 256MB of RAM and that's obviously not enough for the live CD. It was very slow but it worked.

Comment 12 Adam Williamson 2009-11-09 01:30:19 UTC
ah, yeah, that'd slow it down. ok, not worried then :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.